pySim eSIM libraries
====================

The pySim eSIM libraries implement a variety of functionality related to the GSMA eSIM universe,
including the various interfaces of SGP.21 + SGP.22, as well as Interoperable Profile decioding,
validation, personalization and encoding.

.. automodule:: pySim.esim
   :members:


GSMA SGP.21/22 Remote SIM Provisioning (RSP) - High Level
---------------------------------------------------------

pySim.esim.rsp
~~~~~~~~~~~~~~

.. automodule:: pySim.esim.rsp
   :members:

pySim.esim.es2p
~~~~~~~~~~~~~~~

.. automodule:: pySim.esim.es2p
   :members:


pySim.esim.es8p
~~~~~~~~~~~~~~~

.. automodule:: pySim.esim.es8p
   :members:


pySim.esim.es9p
~~~~~~~~~~~~~~~

.. automodule:: pySim.esim.es9p
   :members:


GSMA SGP.21/22 Remote SIM Provisioning (RSP) - Low Level
--------------------------------------------------------

pySim.esim.bsp
~~~~~~~~~~~~~~

.. automodule:: pySim.esim.bsp
   :members:

pySim.esim.http_json_api
~~~~~~~~~~~~~~~~~~~~~~~~

.. automodule:: pySim.esim.http_json_api
   :members:

pySim.esim.x509_cert
~~~~~~~~~~~~~~~~~~~~

.. automodule:: pySim.esim.x509_cert
   :members:

SIMalliance / TCA Interoperable Profile
---------------------------------------


pySim.esim.saip
~~~~~~~~~~~~~~~
.. automodule:: pySim.esim.saip
   :members:


pySim.esim.saip.oid
~~~~~~~~~~~~~~~~~~~

.. automodule:: pySim.esim.saip.oid
   :members:

pySim.esim.saip.personalization
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

.. automodule:: pySim.esim.saip.personalization
   :members:

pySim.esim.saip.templates
~~~~~~~~~~~~~~~~~~~~~~~~~

.. automodule:: pySim.esim.saip.templates
   :members:

pySim.esim.saip.validation
~~~~~~~~~~~~~~~~~~~~~~~~~~

.. automodule:: pySim.esim.saip.validation
   :members:
